# [−] [src] Trait typenum::type_operators::IsEqual

    pub trait IsEqual<Rhs = Self> {
        type Output: Bit;
        fn is_equal(self, rhs: Rhs) -> Self::Output;
    }

A type operator that returns `True` if `Self == Rhs`, otherwise returns `False`.

## Associated Types

### `type Output: Bit` [src]

The type representing either `True` or `False`

Loading content...

## Required methods

### `fn is_equal(self, rhs: Rhs) -> Self::Output` [src]

Method returning `True` or `False`.

Loading content...

## Implementors

### `impl<A, B> IsEqual<B> for A where
A: Cmp<B> + IsEqualPrivate<B, Compare<A, B>>,` [src]

#### `type Output = <A as IsEqualPrivate<B, Compare<A, B>>>::Output`

#### `fn is_equal(self, rhs: B) -> Self::Output` [src]

Loading content...